%global momorel 1
%global md5sum_src0 3a659d384744cab77f90920f6d529c89
%global nspr_version 4.6.1
%global nss_version 3.10
%global langpacks_date 20060803

Summary:    Mozilla Firefox Web browser.
Name:       firefox
Version:    1.5.0.6
Release:    %{momorel}m
URL:        http://www.mozilla.org/projects/firefox/
License:    MPL and GPL and LGPL
Group:      Applications/Internet
%NoSource 0 http://ftp.iij.ad.jp/pub/mozilla/mozilla.org/firefox/releases/%{version}/source/firefox-%{version}-source.tar.bz2 %{md5sum_src0}
Source2:    firefox-mozconfig
Source3:    firefox.desktop
Source4:    firefox.png
Source6:    firefox.sh.in
Source7:    firefox-xremote-client.sh.in
Source8:    firefox.1
Source10:   firefox.xpm
Source11:   firefox-1.5-libart_lgpl.tar.bz2
# gather from ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/
#  MAY-BE firefox-1.5.x dir is latest-mozilla1.8.0-l10n/linux-xpi/
Source12: firefox-langpacks-%{version}-%{langpacks_date}.tar.bz2
Source13: firefox-momonga-default-prefs.js
Source14: bookmarks.html
Source15: firefox-1.5-searchplugins.tar.bz2
Source100:  firefox-remote
Source101:  firefox-remote-tab

##  momonga
Patch0:     firefox-1.5-print-paper-size-A4.patch
Patch1:     firefox-1.5-gtkXft-FontFamilyUtf8.patch
Patch2:     firefox-1.5-form-style-not-important.patch
Patch3:     firefox-1.5-ruby-support.patch
## fedora
Patch4:     firefox-1.1-nss-system-nspr.patch
Patch5:     firefox-1.5-with-system-nss.patch
Patch7:     firefox-1.1-visibility.patch
Patch22:    firefox-1.1-default-applications.patch
Patch42:    firefox-1.1-uriloader.patch
Patch81:    firefox-nopangoxft.patch
Patch101:   firefox-1.5-pango-ua.patch
Patch102:   firefox-1.5-pango-about.patch

BuildRoot:  %{_tmppath}/%{name}-%{version}-root
BuildRequires:  libpng-devel, libjpeg-devel
BuildRequires:  zlib-devel, zip
BuildRequires:  ORBit-devel, libIDL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk+-devel >= 2.8.3-2m, gnome-vfs-devel
BuildRequires:  krb5-devel
BuildRequires:  nspr-devel >= %{nspr_version}
BuildRequires:  nss-devel >= %{nss_version}
Requires:       nspr >= %{nspr_version}
Requires:       nss >= %{nss_version}
PreReq: desktop-file-utils >= 0.8
Provides: webclient
%define ffdir %{_libdir}/firefox-%{version}

%description
Mozilla Firefox is an open-source web browser, designed for standards
compliance, performance and portability.

#---------------------------------------------------------------------

%prep
%setup -q -b 11 -n mozilla

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# Pragma visibility is broken on most platforms for some reason.
# It works on i386 so leave it alone there.  Disable elsewhere.
# See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20297
%ifnarch ix86
%patch7  -p0
%endif

%patch22 -p0
%patch42 -p0
%patch81 -p1

%patch101 -p0 -b .pango-ua
%patch102 -p0 -b .pango-about

%{__rm} -f .mozconfig
%{__cp} %{SOURCE2} .mozconfig

# replace searchplugins and bookmarks.html at en-US
%{__cp} -f %{SOURCE14} browser/locales/en-US/profile/
%{__rm} -rf browser/locales/en-US/searchplugins/
%{__tar} -C browser/locales/en-US -xzf %{SOURCE15}
%{__mv} browser/locales/en-US/searchplugins/google-jp.gif xpfe/components/search/datasets/google.gif
%{__mv} browser/locales/en-US/searchplugins/google-jp.src xpfe/components/search/datasets/google.src

#---------------------------------------------------------------------

%build
%ifarch ppc64
%global optflags %(echo %{optflags} -mminimal-toc)
%endif
export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed -e 's/-fomit-frame-pointer//' -e 's/-ffast-math//' -e 's/-O2/-Os -freorder-blocks -fno-reorder-functions/'`
# gmake -f client.mk checkout
MAKE="gmake %{?_smp_mflags}" make -f client.mk build

#---------------------------------------------------------------------

%install
%{__rm} -rf %{buildroot}

cd browser/installer
%{__make} STRIP=/bin/true
cd -

%{__mkdir_p} %{buildroot}{%{_libdir},%{_bindir},%{_datadir}/applications}

%ifarch i586
%{__mv} dist/firefox-%{version}.*.linux-i686.tar.gz dist/firefox-%{version}.*.linux-%{_arch}.tar.gz
%endif
%ifarch ppc
%{__mv} dist/firefox-%{version}.*.linux-powerpc.tar.gz dist/firefox-%{version}.*.linux-%{_arch}.tar.gz
%endif
%ifarch ppc64
%{__mv} dist/firefox-%{version}.*.linux-powerpc64.tar.gz dist/firefox-%{version}.*.linux-%{_arch}.tar.gz
%endif

%{__tar} -C %{buildroot}%{_libdir}/ -xzf dist/firefox-*linux*.tar.gz
%{__mv} %{buildroot}%{_libdir}/firefox %{buildroot}%{ffdir}

%{__rm} -f %{buildroot}%{_libdir}/firefox-*linux*.tar

%{__install} -p -D %{SOURCE4} %{buildroot}%{_datadir}/pixmaps/firefox.png

desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Application \
  --add-category Network \
  %{SOURCE3}

%{__cat} %{SOURCE6} | %{__sed} -e 's,FIREFOX_VERSION,%{version},g' > \
   $RPM_BUILD_ROOT%{_bindir}/firefox
%{__chmod} 755 %{buildroot}%{_bindir}/firefox

# set up our default preferences

%{__cat} %{SOURCE13} | %{__sed} -e 's,FIREFOX_RPM_VR,%{version}-%{release},g' > mo-default-prefs
%{__cp} mo-default-prefs $RPM_BUILD_ROOT/%{ffdir}/greprefs/all-momonga.js
%{__cp} mo-default-prefs $RPM_BUILD_ROOT/%{ffdir}/defaults/pref/all-momonga.js
%{__rm} mo-default-prefs

%{__cat} %{SOURCE7} | %{__sed} -e 's,FFDIR,%{ffdir},g' -e 's,LIBDIR,%{_libdir},g' > \
  %{buildroot}%{ffdir}/firefox-xremote-client

%{__chmod} 755 %{buildroot}%{ffdir}/firefox-xremote-client
%{__install} -p -D %{SOURCE8} %{buildroot}%{_mandir}/man1/firefox.1

%{__rm} -f %{buildroot}%{ffdir}/firefox-config

cd %{buildroot}%{ffdir}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
cd -

%{__cat} > $RPM_BUILD_ROOT%{ffdir}/defaults/pref/firefox-l10n.js << EOF
pref("general.useragent.locale", "chrome://global/locale/intl.properties");
EOF
%{__chmod} 644 $RPM_BUILD_ROOT%{ffdir}/defaults/pref/firefox-l10n.js

%{__mkdir_p} %{buildroot}%{ffdir}/chrome/icons/default/
%{__cp} %{SOURCE10} %{buildroot}%{ffdir}/chrome/icons/default/default.xpm
%{__cp} %{SOURCE10} %{buildroot}%{ffdir}/icons/default.xpm

#
install -m 0755 %{SOURCE100} %{buildroot}%{_bindir}/
install -m 0755 %{SOURCE101} %{buildroot}%{_bindir}/

# we own /usr/lib/firefox/plugins which is the version-independent
# place that plugins can be installed
%{__mkdir_p} %{buildroot}/%{_libdir}/firefox/plugins

# Install langpacks
%{__mkdir_p} $RPM_BUILD_ROOT%{ffdir}/extensions
%{__tar} xjf %{SOURCE12}
for langpack in `ls firefox-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT%{ffdir}/extensions/langpack-$language@firefox.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  langtmp=%{buildroot}/langpacks/langpack-$language
  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp
#  sed -i -e "s|browser.startup.homepage.*$|browser.startup.homepage=%{indexhtml}|g;" $langtmp/locale/browser-region/region.properties
  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  %{__rm} -rf locale
  cd -
done
%{__rm} -rf firefox-langpacks

# ghost files
touch $RPM_BUILD_ROOT%{ffdir}/components/compreg.dat
touch $RPM_BUILD_ROOT%{ffdir}/components/xpti.dat


#---------------------------------------------------------------------

%clean
%{__rm} -rf %{buildroot}

#---------------------------------------------------------------------

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications


%preun
# is it a final removal?
if [ $1 -eq 0 ]; then
  %{__rm} -rf %{ffdir}/components
  %{__rm} -rf %{ffdir}/extensions
fi

%files
%defattr(-,root,root,-)
%{_bindir}/firefox*
%{_mandir}/man1/*
%{ffdir}
%{_libdir}/firefox
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/firefox.png

#---------------------------------------------------------------------
%changelog
* Fri Aug  4 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.6-1m)
- update to 1.5.0.6 (bugfix release)
-  https://bugzilla.mozilla.org/show_bug.cgi?id=181860

* Mon Aug  1 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.5-3m)
- revised langpacks (remove ko.xpi, mk.xpi, po-IN.xpi)

* Fri Jul 28 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.5-2m)
- update langpacks to 20060728

* Thu Jul 27 2006 Kazuhiko <kazuhiko@fdiary.net>
- (1.5.0.5-1m)
- [SECURITY] MFSA-2006-44 MFSA-2006-45 MFSA-2006-46 MFSA-2006-47 MFSA-2006-48
             MFSA-2006-50 MFSA-2006-51 MFSA-2006-52 MFSA-2006-53 MFSA-2006-54
             MFSA-2006-55 MFSA-2006-56

* Mon Jun 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.4-2m)
- revised langpack(delete ja-JP-mac.xpi)
- ugly hack for ja-localization
- change "about Mozilla Firefox" images
- change default bookmarks.html (from Mozilla Japan)
- change searchplugins for ja

* Wed Jun 14 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.4-1m)
- [SECURITY] MFSA-2006-43 MFSA-2006-42 MFSA-2006-41 MFSA-2006-40 MFSA-2006-39
-            MFSA-2006-38 MFSA-2006-37 MFSA-2006-36 MFSA-2006-35 MFSA-2006-34
-            MFSA-2006-33 MFSA-2006-32 MFSA-2006-31 
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox1.5.0.4

* Thu May 11 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.3-2m)
- enable MOZ_DISABLE_PANGO=1 (firefox.sh.in)

* Wed May  3 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.3-1m)
- update langpacks 20060503
- [SECURITY] MFSA-2006-30 CVE-2006-1993
- http://www.mozillazine.org/talkback.html?article=8327

* Thu Apr 20 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.2-2m)
- update langpacks 20060417
- add Patch102: firefox-1.5-pango-about.patch
- delete unused patches

* Wed Apr 19 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.5.0.2-1m)
- update to 1.5.0.2
- [SECURITY] MFSA-2006-29, MFSA-2006-28, MFSA-2006-25, MFSA-2006-24,
-            MFSA-2006-23, MFSA-2006-22, MFSA-2006-20
- http://www.mozilla.org/projects/security/known-vulnerabilities.html#firefox1.5.0.2

* Tue Apr  4 2006 YONEKAWA Susumu <yonekawas@mmg.roka.jp>
- (1.5.0.1-6m)
- add $MOZ_LIB_DIR/firefox/plugins to MOZ_PLUGIN_PATH

* Wed Mar 29 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.5.0.1-5m)
- switch UI locale depending on system locale (based on fedora package 1.5.0.1-9)
- - * Sat Mar 11 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-9
- - - Add a notice to the about dialog denoting this is a pango enabled build.
- - - Tweak the user agent denoting this is a pango enabled build.
- - 
- - * Mon Mar  6 2006 Warren Togami <wtogami@redhat.com> - 1.5.0.1-7
- - - make links point to the correct release
- - 
- - * Mon Mar  6 2006 Ray Strode <rstrode@redhat.com> - 1.5.0.1-6
- - - Add new bookmarks file from Warren (bug 182386)
- - 
- - * Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de>
- - - add buildrequires libXt-devel for X11/Intrinsic.h, X11/Shell.h
- - 
- - * Mon Feb 20 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-5
- - - Rebuild
- - 
- - * Mon Feb 20 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-4
- - - Ensure our wrapper handles URLs with commas/spaces (Ilya Konstantinov)
- - - Fix a pango typo
- - 
- - * Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-3
- - - Improve the langpack install stuff
- - - Fix up dumpstack.patch to match the finalized change
- - 
- - * Tue Feb  7 2006 Jesse Keating <jkeating@redhat.com> - 1.5.0.1-2.1
- - - rebuilt for new gcc4.1 snapshot and glibc changes
- - 
- - * Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-2
- - - Update language packs to 1.5.0.1
- - - Add dumpstack.patch
- - 
- - * Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.1-1
- - - Update to 1.5.0.1
- - 
- - * Thu Jan 26 2006 Christopher Aillon <caillon@redhat.com> - 1.5-5
- - - Ship langpacks again from upstream
- - - Stop providing MozillaFirebird and mozilla-firebird
- - 
- - * Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.5-4
- - - Looks like we can build ppc64 again.  Happy New Year!
- - 
- - * Fri Dec 16 2005 Christopher Aillon <caillon@redhat.com> - 1.5-3
- - - Once again, disable ppc64 because of a new issue.
- -   See https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=175944
- - 
- - * Thu Dec 15 2005 Christopher Aillon <caillon@redhat.com> - 1.5-2
- - - Use the system NSS libraries
- - - Build on ppc64
- - 
- - * Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- - - rebuilt
- - 
- - * Tue Nov 29 2005 Christopher Aillon <caillon@redhat.com> - 1.5-1
- - - Update to Firefox 1.5
- - 
- - * Mon Nov 28 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.1.rc3
- - - Fix issue with popup dialogs and other actions causing lockups
- - 
- - * Fri Nov 18 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.rc3
- - - Update to 1.5 rc3
- - 
- - * Thu Nov  3 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.rc1
- - - Update to 1.5 rc1
- - - Clean up the default bookmarks
- - 
- - * Sat Oct  8 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.beta2
- - - Update to 1.5 beta 2
- - 
- - * Wed Sep 14 2005 Christopher Aillon <caillon@redhat.com> - 1.5-0.5.0.beta1
- - - Update to 1.5 beta 1.
- - - Add patch to svg rendering to adjust for cairo behavior.
- - - Happy birthday, dad!
- - 
- - * Sat Aug 27 2005 Christopher Aillon <caillon@redhat.com> - 1.1-0.2.8.deerpark.alpha2
- - - Re-enable SVG, canvas, and system cairo.
- - - Fix issue with typing in proxy preference panel
- - 
- - * Thu Aug 18 2005 Jeremy Katz <katzj@redhat.com> - 1.1-0.2.7.deerpark.alpha2.1
- - - another fix to not use pango_xft
- - 
- - * Mon Aug 15 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.6.deerpark.alpha2
- - - Rebuild
- - 
- - * Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.5.deerpark.alpha2
- - - Re-enable ppc now that its binutils are fixed.
- - - Disable SVG and canvas again.  The in-tree copy does not build against new pango.
- - - When clicking a link and going back via history, don't keep the link focused.
- - 
- - * Fri Jul 22 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.4.deerpark.alpha2
- - - Add patch from Christian Persch to make the file chooser modal
- - - Change default behavior of opening links from external apps to: New Tab
- - - New build options:
- -   --enable-svg
- -   --enable-canvas
- - 
- - * Wed Jul 20 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.3.deerpark.alpha2
- - - Update firefox-1.1-uriloader.patch to fix crashes when calling into gnome-vfs2
- - 
- - * Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.2.deerpark.alpha2
- - - Do away with firefox-rebuild-databases.pl
- - 
- - * Mon Jul 18 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.2.1.deerpark.alpha2
- - - Rebuild
- - 
- - * Mon Jul 18 2005 Christopher Aillon <caillon@redhat.com> 1.1-0.0.1.deerpark.alpha2
- - - Update to Deer Park Alpha 2
- -   - STILL TODO:
- -     - This build is not localized yet.
- -     - Theme issues not yet resolved.
- -     - Building on ppc platforms is busted, disable them for now.
- -     - Forward port all remaining patches.

* Tue Feb 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.5.0.1-4m)
- import dumpstack.patch from opensuse
 +* Wed Jan 18 2006 - stark@suse.de
 +- fixed DumpStackToFile() for glibc 2.4

* Sat Feb 25 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.5.0.1-3m)
- rebuild with new nspr/nss.

* Sat Feb 25 2006 mutecat <mutecat@momonga-linux.org>
- (1.5.0.1-2m)
- arrange ppc.

* Thu Feb  2 2006 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5.0.1-1m)
- bugfix release.

* Tue Dec 21 2005 Yasuo Ohgaki <yohgaki@momonga-linux.org>
- (1.5-3m)
- enable x86_64 build.

* Sat Dec  3 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-2m)
- enable ja locale.
  execute "firefox -UILocale en" command, if you use en locale.

* Fri Dec  2 2005 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5-1m)
- version up to 1.5.
- Can not use Japanese user interface on this release.
  Please hack me.
  :::: language pack URI ::::
  [Mozilla Japan development release]
    http://ftp.mozilla-japan.org/pub/mozilla-japan/firefox/development/1.5/
  [mozilla.org nightly build for firefox-1.5.x]
    ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla1.8-l10n/linux-xpi/

* Tue Nov  1 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.7-2m)
- add gcc4 patch
- Patch200: firefox-1.0-gcc4-compile.patch

* Thu Sep 22 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.7-1m)
- includes several security and stability fixes
- remove 'firefox-1.0.6-bug307259-Disable-IDN.patch'

* Sat Sep 10 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.6-3m)
- [Security] https://addons.mozilla.org/messages/307259.html

* Wed Jul 27 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.6-2m)
- modify searchplugins

* Wed Jul 20 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0.6-1m)
- up to 1.0.6

* Fri Jul 15 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.0.5-2m)
- not use specopt
-  Firefox switches locale by using LANG (support ja_JP and en_US)

* Wed Jul 13 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.5-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-56.html
-   http://www.mozilla.org/security/announce/mfsa2005-53.html
-   etc.

* Thu May 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.4-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-42.html

* Wed Apr 27 2005 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.0.3-2m)
- add {_libdir}/firefox/plugins to MOZ_PLUGIN_PATH

* Sat Apr 16 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.3-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-37.html
-   http://www.mozilla.org/security/announce/mfsa2005-39.html
-   http://www.mozilla.org/security/announce/mfsa2005-41.html
-   etc.

* Thu Mar 24 2005 Toru Hoshina <t@momonga-linux.org>
- (1.0.2-2m)
- add {_libdir}/firefox.

* Thu Mar 24 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.2-1m)
- security fixes
-   http://www.mozilla.org/security/announce/mfsa2005-30.html
-   http://www.mozilla.org/security/announce/mfsa2005-31.html
-   http://www.mozilla.org/security/announce/mfsa2005-32.html

* Fri Feb 25 2005 Kazuhiko <kazuhiko@fdiary.net>
- (1.0.1-1m)
- version up

* Sat Nov 13 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-3m)
- add patch100
  [bug:181697]
  https://bugzilla.mozilla.org/show_bug.cgi?id=181697

* Tue Nov  9 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-2m)
- update ja-JP locale.
 synchronized to 1.0 release.

* Tue Nov  9 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-1m)
- version 1.0

* Sat Nov  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-0.12m)
- locale_ja is not enabled by default build.

* Sat Nov  6 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-0.11m)
- ja-JP locale support.
- libart_lgpl upadate.

* Fri Nov  5 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.10m)
- version up to 1.0rc2

* Wed Nov  3 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-0.9m)
- modify .mozconfig
  "typeahead" of the --enable-extensions option was removed
  for the problem of "Find".
  add --enable-static --disable-shared
- modify RPM_OPT_FLAGS

* Sun Oct 31 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0-0.8m)
- added PreReq: desktop-file-utils >= 0.8

* Sat Oct 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.7m)
- version up to 1.0rc1
- remove 'firefox-1.0-add-double-quotation-mark.patch'
- remove 'firefox-0.10-multilingual_extensions.patch'

* Tue Oct 12 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-0.6m)
- add patches (Patch5,6)
- patch number renumbering.

* Thu Sep 30 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.0-0.5m)
- add some patches. (Patch7,8)
- modify .mozconfig
- enable svg support.

* Sat Sep 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.4m)
- remove '-ffast-math' from RPM_OPT_FLAGS
- update desktop database

* Tue Sep 21 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.0-0.3m)
- added firefox-remote{,-tab}
- revised browser/app/mozilla.in

* Fri Sep 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.2m)
- remove '-fomit-frame-pointer' from RPM_OPT_FLAGS

* Wed Sep 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.0-0.1m)
- based on FC development
- remove bookmarks.html, firefox-0.7.3-fedora-homepage.patch,
  firefox-0.7.3-freetype-compile.patch, firefox-0.7.3-gcc34.patch,
  firefox-0.7.3-extensions.patch

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0:0.9.3-8
- Fixup .desktop entry Name, GenericName, and Comment (#131602)
- Add MimeType desktop entry (patch from jrb@redhat.com)
- Build with --disable-xprint

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0:0.9.3-7
- rawhide import
- fedora.us #1765 NetBSD's freetype 2.1.8 compat patch

* Sun Aug 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.6
- and mng support is disabled again as it seams that there is
  no real mng support in the code

* Sat Aug 28 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.5
- remove ldconfig from scriptlets (bug #1846 comment #40)
- reenabled mng support (bug #1971)
- removed --enable-strip to let rpm to the stripping (bug #1971)
- honor system settings in firefox.sh (bug #1971)
- setting umask 022 in scriptlets (bug #1962)

* Sat Aug 07 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.4
- copy the icon to the right place(TM)

* Fri Aug 06 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.3
- readded the xpm removed in 0:0.9.2-0.fdr.5

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.2
- added mozilla-1.7-psfonts.patch from rawhide mozilla

* Thu Aug 05 2004 Adrian Reber <adrian@lisas.de> 0:0.9.3-0.fdr.1
- updated to 0.9.3
- removed following from .mozconfig:
    ac_add_options --with-system-mng
    ac_add_options --enable-xprint
    ac_add_options --disable-dtd-debug
    ac_add_options --disable-freetype2
    ac_add_options --enable-strip-libs
    ac_add_options --enable-reorder
    ac_add_options --enable-mathml
    ac_add_options --without-system-nspr

* Tue Aug 03 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.5
- applied parts of the patch from Matthias Saou (bug #1846)
- delete empty directories in %%{ffdir}/chrome
- more cosmetic changes to the spec file

* Wed Jul 14 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.4
- mozilla-default-plugin-less-annoying.patch readded

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.3
- added krb5-devel as build requirement

* Tue Jul 13 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.2
- added patch from bugzilla.mozilla.org (bug #247846)
- removed Xvfb hack

* Fri Jul 09 2004 Adrian Reber <adrian@lisas.de> 0:0.9.2-0.fdr.1
- updated to 0.9.2

* Mon Jul 05 2004 Warren Togami <wtogami@redhat.com> 0:0.9.1-0.fdr.3
- mharris suggestion for backwards compatibilty with Xvfb hack

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.2
- added massive hack from the debian package to create the
  extension directory

* Tue Jun 29 2004 Adrian Reber <adrian@lisas.de> 0:0.9.1-0.fdr.1
- updated to 0.9.1

* Wed Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.4
- remove extensions patch
- add post hack to create extensions
- enable negotiateauth extension
- copy icon to browser/app/default.xpm
- --enable-official-branding

* Wed Jun 17 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.3
- extensions patch

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.2
- added gnome-vfs2-devel as BuildRequires
- added gcc-3.4 patch

* Wed Jun 16 2004 Adrian Reber <adrian@lisas.de> 0:0.9-0.fdr.1
- updated to 0.9
- dropped x86_64 patches
- dropped xremote patches

* Wed May 26 2004 Adrian Reber <adrian@lisas.de> 0:0.8-0.fdr.13
- remove unused files: mozilla-config

* Sun May 23 2004 David Hill <djh[at]ii.net> 0:0.8-0.fdr.12
- update mozconfig (fixes bug #1443)
- installation directory includes version number

* Mon May 10 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.11
- merge x86_64 release 10 with fedora.us release 10 bump release to 11

* Mon Apr 19 2004 Justin M. Forbes <64bit_fedora@comcast.net> 0:0.8-0.fdr.10
- rebuild for FC2
- change Source71 to properly replace Source7 for maintainability

* Sun Apr 18 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.10
- 3rd xremote patch
- test -Os rather than -O2

* Sun Apr 18 2004 Gene Czarcinski <gene@czarc.net>
- more x86_64 fixes
- fix firefix-xremote-client for x86_64 (similar to what is done for
  firefox.sh.in)

* Sat Apr 03 2004 Warren Togami <wtogami@redhat.com> 0:0.8-0.fdr.9
- xremote patch for thunderbird integration #1113
- back out ugly hack from /usr/bin/firefox
- correct default bookmarks

* Wed Feb 25 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.7
- readded the new firefox icons

* Sat Feb 21 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.6
- removed new firefox icons

* Wed Feb 18 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.5
- nothing

* Thu Feb 12 2004 Gene Czarcinski <czar@acm.org>
- update for x86_64 ... usr mozilla-1.6 patches
- change "firefox-i*" to "firefox-*" in above stuff

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.4
- another icon changed

* Tue Feb 10 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.3
- startup script modified

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.2
- new firefox icon
- more s/firebird/firefox/

* Mon Feb 09 2004 Adrian Reber <adrian@lisas.de> - 0:0.8-0.fdr.1
- new version: 0.8
- new name: firefox

* Sun Oct 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.2
- s/0.6.1/0.7/
- changed user-app-dir back to .phoenix as .mozilla-firebird
  is not working as expected
- manpage now also available as MozillaFirebird.1

* Thu Oct 16 2003 Adrian Reber <adrian@lisas.de> - 0:0.7-0.fdr.1
- updated to 0.7
- provides webclient
- run regxpcom and regchrome after installation and removal
- added a man page from the debian package
- changed user-app-dir from .phoenix to .mozilla-firebird

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.2
- now with mozilla-default-plugin-less-annoying.patch; see bug #586

* Tue Jul 29 2003 Adrian Reber <adrian@lisas.de> - 0:0.6.1-0.fdr.1
- updated to 0.6.1
- changed buildrequires for XFree86-devel from 0:4.3.0 to 0:4.2.1
  it should now also build on RH80

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.5.rh90
- enabled the type ahead extension: bug #484

* Sun Jul 13 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.4.rh90
- renamed it again back to MozillaFirbird
- added libmng-devel to BuildRequires
- startup homepage is now www.fedora.us
- improved the startup script to use the unix remote protocol
  to open a new window

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.3.rh90
- new icon from http://iconpacks.mozdev.org/phoenix/iconshots/flame48true.png
- now using gtk2 as toolkit
- renamed again back to mozilla-firebird (I like it better)
- Provides: MozillaFirebird for compatibility with previous releases
- changed default bookmarks.html to contain links to www.fedora.us

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.2.rh90
- renamed package to MozillaFirebird and all files with the old name
- enabled mng, mathml, xinerama support
- now honouring RPM_OPT_FLAGS

* Thu May 19 2003 Adrian Reber <adrian@lisas.de> - 0:0.6-0.fdr.1.rh90
- updated to 0.6

* Thu May 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.1.cvs20030501.rh90
- Updated to CVS.
- Renamed to mozilla-firebird.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030409.rh90
- Updated to CVS.
- Removed hard-coded library path.

* Sat Apr 05 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.3.cvs20030402.rh90
- Changed Prereq to Requires.
- Changed BuildRequires to gtk+-devel (instead of file).
- Recompressed source with bzip2.
- Removed post.

* Tue Apr 02 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030402.rh90
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Updated to CVS.

* Sun Mar 30 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.6-0.fdr.0.2.cvs20030328.rh90
- Added Epoch:0.
- Added libgtk-1.2.so.0 to the BuildRequires

* Fri Mar 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030328.rh90
- Updated to latest CVS.
- Moved phoenix startup script into its own file

* Wed Mar 26 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030326.rh90
- Updated to latest CVS.
- Changed release to 9 vs 8.1.
- Added cvs script.
- added encoding to desktop file.

* Sun Mar 23 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030323.rh81
- Updated to latest CVS.
- added release specification XFree86-devel Build Requirement.
- changed chmod to %attr

* Fri Mar 21 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-0.fdr.0.1.cvs20030317.rh81
- Fixed naming scheme.
- Fixed .desktop file.

* Mon Mar 17 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030317.1
- Updated to CVS.

* Fri Mar 14 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.2
- General Tweaking.

* Thu Mar 13 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030313.1
- Updated CVS.
- Modified mozconfig.

* Sun Mar 09 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0.6-cvs20030309.1
- Initial RPM release.
